perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-PodWeaver - Do horrible things to POD, producing better docs

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.noarch.rpm
Package name perl-Dist-Zilla-Plugin-PodWeaver
Package version 4.8.0
Package release 3.mga7
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Dist-Zilla-Plugin-PodWeaver
License GPL+ or Artistic
Maintainer -
Download size 23.89 KB
Installed size 70.99 KB
PodWeaver is a work in progress, which rips apart your kinda-POD and
reconstructs it as boring old real POD.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.noarch.rpm 4.8.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-PodWeaver - - -

Requires

Name Value
perl(Dist::Zilla) >= 5.0.0
perl(Dist::Zilla::Role::FileFinderUser) -
perl(Dist::Zilla::Role::FileMunger) -
perl(Moose) -
perl(PPI) -
perl(Pod::Elemental::PerlMunger) -
perl(Pod::Elemental::PerlMunger) >= 0.100.0
perl(Pod::Weaver) >= 3.100.710
perl(Pod::Weaver) >= 4.0.0
perl(Pod::Weaver::Config::Assembler) -
perl(namespace::autoclean) -
perl-base >= 2:5.28.0

Provides

Name Value
perl(Dist::Zilla::Plugin::PodWeaver) == 4.8.0
perl-Dist-Zilla-Plugin-PodWeaver == 4.8.0-3.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-PodWeaver rpm package:
    # urpmi perl-Dist-Zilla-Plugin-PodWeaver

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/MYMETA.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-PodWeaver/README
/usr/share/man/man3/Dist::Zilla::Plugin::PodWeaver.3pm.xz
/usr/share/perl5/vendor_perl/Dist/
/usr/share/perl5/vendor_perl/Dist/Zilla/
/usr/share/perl5/vendor_perl/Dist/Zilla/Plugin/PodWeaver.pm

Changelog

2018-09-19 - umeabot <umeabot> 4.8.0-3.mga7
(not released yet)
+ Revision: 1267552
- Mageia 7 Mass Rebuild
2016-06-19 - pterjan <pterjan> 4.8.0-2.mga6
+ Revision: 1026522
- Rebuild for perl 5.22.2
2016-04-28 - shlomif <shlomif> 4.8.0-1.mga6
+ Revision: 1007588
- update to 4.008
2016-02-08 - umeabot <umeabot> 4.6.0-4.mga6
+ Revision: 948349
- Mageia 6 Mass Rebuild

See Also

Package Description
perl-Dist-Zilla-Plugin-Prepender-2.4.0-3.mga7.noarch.rpm prepend lines at the top of your perl files
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-2.mga7.noarch.rpm Add Dist::Zilla authordeps to META files as develop prereqs
perl-Dist-Zilla-Plugin-Prereqs-FromCPANfile-0.80.0-4.mga7.noarch.rpm Parse cpanfile for prereqs
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-1.1.3-2.mga7.noarch.rpm Depend on versions of modules the same as you have installed
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.1-2.mga7.noarch.rpm Upgrade ALL your dependencies to the ones you have installed
perl-Dist-Zilla-Plugin-Prereqs-Plugins-1.3.3-2.mga7.noarch.rpm Add all Dist::Zilla plugins presently in use as prerequisites
perl-Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled-0.3.3-3.mga7.noarch.rpm Advertise versions of things you have as soft dependencies
perl-Dist-Zilla-Plugin-Prereqs-Soften-0.6.3-3.mga7.noarch.rpm Downgrade listed dependencies to recommendations if present
perl-Dist-Zilla-Plugin-Prereqs-SyncVersions-0.3.2-2.mga7.noarch.rpm Homogenize prerequisites so dependency versions are consistent
perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.1-2.mga7.noarch.rpm Upgrade existing prerequisites in place
perl-Dist-Zilla-Plugin-PromptIfStale-0.55.0-2.mga7.noarch.rpm Check at build/release time if modules are out of date
perl-Dist-Zilla-Plugin-PurePerlTests-0.60.0-3.mga7.noarch.rpm Run all your tests twice, once with XS code and once with pure Perl
perl-Dist-Zilla-Plugin-Readme-Brief-0.3.2-2.mga7.noarch.rpm Provide a short simple README with just the essentials
perl-Dist-Zilla-Plugin-ReadmeAnyFromPod-0.163.250-2.mga7.noarch.rpm Automatically convert POD to a README in any format for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeFromPod-0.370.0-1.mga7.noarch.rpm Automatically convert POD to a README for Dist::Zilla
Advertisement
Advertisement